Log4JLogSystem (Velocity 1.4 API)
Keywords: org.apache.velocity.runtime.log.Log4JLogSystem class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.log
Class Log4JLogSystem

    java.lang.Object
      org.apache.velocity.runtime.log.Log4JLogSystem

All Implemented Interfaces:
  LogSystem

Deprecated. As of v1.3. Use `SimpleLog4jLogSystem`

public class Log4JLogSystem
extends java.lang.Object
implements LogSystem

Implementation of a Log4J logger.

Version:
  $Id: Log4JLogSystem.java,v 1.7.4.1 2004/03/03 23:22:56 geirm Exp $
Author:
  Jon S. Stevens

Field Summary
`protected org.apache.log4j.Layout` | `layout` Deprecated. logging layout
`private java.lang.String` | `logfile` Deprecated. the runtime.log property value
`protected org.apache.log4j.Category` | `logger` Deprecated. log4java logging interface
`private RuntimeServices` | `rsvc` Deprecated.

Fields inherited from interface org.apache.velocity.runtime.log.LogSystem
`DEBUG_ID, DEBUG_ON, ERROR_ID, INFO_ID, WARN_ID`

Constructor Summary
`Log4JLogSystem()` Deprecated. default CTOR.

Method Summary
`private void` | `configureEmail()` Deprecated. Configures the logging to email
`private void` | `configureFile()` Deprecated. Configures the logging to a file.
`private void` | `configureRemote()` Deprecated. Configures the logging to a remote server
`private void` | `configureSyslog()` Deprecated. Configures the logging to syslogd
`protected void` | `finalize()` Deprecated. Also do a shutdown if the object is destroy()'d.
`void` | `init(RuntimeServices rs)` Deprecated. init()
`private void` | `internalInit()` Deprecated. initializes the log system using the logfile argument
`void` | `logVelocityMessage(int level, java.lang.String message)` Deprecated. logs messages
`void` | `shutdown()` Deprecated. Close all destinations

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### rsvc

    private RuntimeServices rsvc

  Deprecated.

### logger

    protected org.apache.log4j.Category logger

  Deprecated.
  log4java logging interface

### layout

    protected org.apache.log4j.Layout layout

  Deprecated.
  logging layout

### logfile

    private java.lang.String logfile

  Deprecated.
  the runtime.log property value

Constructor Detail

### Log4JLogSystem

    public Log4JLogSystem()

  Deprecated.
  default CTOR. Initializes itself using the property RUNTIME_LOG from the Velocity properties

Method Detail

### init

    public void init(RuntimeServices rs)

  Deprecated.
  Description copied from interface: `LogSystem`
  init()

  Specified by:
    `init` in interface `LogSystem`

### internalInit

    private void internalInit()
                       throws java.lang.Exception

  Deprecated.
  initializes the log system using the logfile argument

  Throws:
    `java.lang.Exception`

### configureFile

    private void configureFile()
                        throws java.lang.Exception

  Deprecated.
  Configures the logging to a file.

  Throws:
    `java.lang.Exception`

### configureRemote

    private void configureRemote()
                          throws java.lang.Exception

  Deprecated.
  Configures the logging to a remote server

  Throws:
    `java.lang.Exception`

### configureSyslog

    private void configureSyslog()
                          throws java.lang.Exception

  Deprecated.
  Configures the logging to syslogd

  Throws:
    `java.lang.Exception`

### configureEmail

    private void configureEmail()
                         throws java.lang.Exception

  Deprecated.
  Configures the logging to email

  Throws:
    `java.lang.Exception`

### logVelocityMessage

    public void logVelocityMessage(int level,
                                   java.lang.String message)

  Deprecated.
  logs messages

  Specified by:
    `logVelocityMessage` in interface `LogSystem`
  Parameters:
    `level` - severity level
    `message` - complete error message

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Deprecated.
  Also do a shutdown if the object is destroy()'d.

  Throws:
    `java.lang.Throwable`

### shutdown

    public void shutdown()

  Deprecated.
  Close all destinations

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache Software Foundation. All Rights Reserved.